Bug 852415

Summary: Globally uncaught exception on clicking OK button while adding CLI Script alert notification to the alert definition
Product: [Other] RHQ Project Reporter: Jirka Kremser <jkremser>
Component: AlertsAssignee: Jirka Kremser <jkremser>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: medium Docs Contact:
Priority: high    
Version: 4.5CC: hrupp, jkremser, skondkar
Target Milestone: ---   
Target Release: RHQ 4.6   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 850818 Environment:
Last Closed: 2013-09-03 10:42:02 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 850818    
Bug Blocks:    

Description Jirka Kremser 2012-08-28 08:40:03 EDT
+++ This bug was initially created as a clone of Bug #850818 +++

Description of problem:

While creating an alert notification to the alert definition, user chooses CLI Script as a notification sender, clicking OK button with default selections displays Globally uncaught exception in UI.

Version-Release number of selected component (if applicable):

Build: Version: 3.1.1.ER3
Build Number: 37108ca:67c6de8
Database: PostgreSQL 8.4.2
Browsers:
Firefox 10.0.2
IE 8.0.7600.16385

How reproducible:

Always

Steps to Reproduce:

1. Login to JBoss ON
2. Navigate to a 'Alerts->Definitions' tab of a resource (Ex: Platform)
3. Click on 'New' button
4. Enter name of the alert and click on the 'Notifications' tab.
5. Click on 'Add' button.
6. Select 'CLI Script' value from the dropdown 'Notification Sender'.
7. Click on 'OK' button (By default the radio button 'Myself' is selected)
8. The UI in background displays 'Globally uncaught exception'.
  
Actual results:

UI displays globally uncaught exception.

Expected results:

No error should be displayed

Additional info:

Additional Info: Exception is not displayed if user selects a repository and existing script or uploads a new scripts and clicks OK button.

--- Additional comment from skondkar@redhat.com on 2012-08-22 09:26:49 EDT ---

Created attachment 606271 [details]
Exception

--- Additional comment from skondkar@redhat.com on 2012-08-22 09:27:44 EDT ---

Created attachment 606272 [details]
Screenshot

--- Additional comment from skondkar@redhat.com on 2012-08-27 07:34:02 EDT ---

Additional Info:
Observed the same error when:

1. Creating alert alert definition with CLI script notification on a compatible group.
2. Creating alert definition template on a resource with CLI script notification.
(Administration->Alert Definition Template->Platform Resource)

--- Additional comment from jkremser@redhat.com on 2012-08-28 08:37:28 EDT ---

http://git.fedorahosted.org/cgit/rhq/rhq.git/diff/?id=9fda60f

master
time:    Tue Aug 28 14:34:23 2012 +0200
commit:  9fda60f21e354f3b33a1ecf85b81cae19e0af1af
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 850818 - Globally uncaught exception on clicking OK button while adding CLI Script alert notification to the alert definition] Added the check whether the repository has been picked
Comment 1 Jirka Kremser 2012-11-20 09:20:06 EST
http://git.fedorahosted.org/cgit/rhq/rhq.git/diff/?id=2ae8bc115

master
time:    Tue Nov 20 15:17:34 2012 +0100
commit:  2ae8bc1158dcae4457a738a7414e3c71fd898ed0
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 850818 - Globally uncaught exception on clicking OK button while adding CLI Script alert notification to the alert definition] Another possible scenario where NPE was thrown was fixed by this commit.
Comment 2 Heiko W. Rupp 2013-09-03 10:42:02 EDT
Bulk closing of issues in old RHQ releases that are in production for a while now.

Please open a new issue when running into an issue.